[vectordb](../README.md) / [Exports](../modules.md) / VectorIndex

# Interface: VectorIndex

## Table of contents

### Properties

- [columns](VectorIndex.md#columns)
- [name](VectorIndex.md#name)
- [uuid](VectorIndex.md#uuid)

## Properties

### columns

• **columns**: `string`[]

#### Defined in

[index.ts:472](https://github.com/lancedb/lancedb/blob/c89d5e6/node/src/index.ts#L472)

___

### name

• **name**: `string`

#### Defined in

[index.ts:473](https://github.com/lancedb/lancedb/blob/c89d5e6/node/src/index.ts#L473)

___

### uuid

• **uuid**: `string`

#### Defined in

[index.ts:474](https://github.com/lancedb/lancedb/blob/c89d5e6/node/src/index.ts#L474)
